# schema_salad.tests.test_cg

## Functions

`test_load`() |
`test_err`() |
`test_include`() |
`test_import`() |
`test_import2`() |
`test_err2`() |
`test_idmap`() |
`test_idmap2`() |
`test_load_pt`() |
`test_shortname`() | Test shortname() function.
`metaschema_pre`() | Prep-parsed schema for testing.
`test_load_metaschema`(metaschema_pre) |
`test_load_by_yaml_metaschema`(metaschema_pre) |
`test_load_cwlschema`() |

## Module Contents

schema_salad.tests.test_cg.test_load()
  Return type:

    None

schema_salad.tests.test_cg.test_err()
  Return type:

    None

schema_salad.tests.test_cg.test_include()
  Return type:

    None

schema_salad.tests.test_cg.test_import()
  Return type:

    None

schema_salad.tests.test_cg.test_import2()
  Return type:

    None

schema_salad.tests.test_cg.test_err2()
  Return type:

    None

schema_salad.tests.test_cg.test_idmap()
  Return type:

    None

schema_salad.tests.test_cg.test_idmap2()
  Return type:

    None

schema_salad.tests.test_cg.test_load_pt()
  Return type:

    None

schema_salad.tests.test_cg.test_shortname()

  Test shortname() function.

  Return type:

    None

schema_salad.tests.test_cg.metaschema_pre()

  Prep-parsed schema for testing.

  Return type:

    Any

schema_salad.tests.test_cg.test_load_metaschema(metaschema_pre)
  Parameters:

    metaschema_pre (Any)

  Return type:

    None

schema_salad.tests.test_cg.test_load_by_yaml_metaschema(metaschema_pre)
  Parameters:

    metaschema_pre (Any)

  Return type:

    None

schema_salad.tests.test_cg.test_load_cwlschema()
  Return type:

    None